<?php

use Botble\Careers\Models\Category;
use Botble\Careers\Models\Career;
use Botble\Careers\Models\Tag;
Route::group(['namespace' => 'Botble\Careers\Http\Controllers', 'middleware' => ['web', 'core']], function () {

    Route::group(['prefix' => BaseHelper::getAdminPrefix() . '/careers', 'middleware' => 'auth'], function () {

        Route::group(['prefix' => 'careersposts', 'as' => 'careersposts.'], function () {
            Route::resource('', 'CareerController')
                ->parameters(['' => 'career']);
       
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'CareerController@deletes',
                'permission' => 'careersposts.destroy',
            ]);

            Route::get('widgets/recent-careersposts', [
                'as'         => 'widget.recent-careersposts',
                'uses'       => 'PostController@getWidgetRecentPosts',
                'permission' => 'careersposts.index',
            ]);
        });

        Route::group(['prefix' => 'careerscategories', 'as' => 'careerscategories.'], function () {
            Route::resource('', 'CategoryController')
                ->parameters(['' => 'category']);

            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'CategoryController@deletes',
                'permission' => 'careerscategories.destroy',
            ]);
        });

        Route::group(['prefix' => 'careerstags', 'as' => 'careerstags.'], function () {
            Route::resource('', 'TagController')
                ->parameters(['' => 'tag']);

            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'TagController@deletes',
                'permission' => 'careerstags.destroy',
            ]);

            Route::get('all', [
                'as'         => 'all',
                'uses'       => 'TagController@getAllTags',
                'permission' => 'careerstags.index',
            ]);
        });
        
    });

    if (defined('THEME_MODULE_SCREEN_NAME')) {
        Route::group(apply_filters(BASE_FILTER_GROUP_PUBLIC_ROUTE, []), function () {
         /*   Route::get('search', [
                'as'   => 'public.search',
                'uses' => 'PublicController@getSearch',
            ]);*/
            Route::get('result/search', [
                'as'   => 'result.search',
                'uses' => 'PublicController@getSearch',
            ]);
             
           Route::get('index', [
                'as'   => 'index.search',
                'uses' => 'PublicController@getSearch',
            ]);
             
            Route::get('tag/{id}', [
                'as'   => 'public.tag',
                'uses' => 'PublicController@getTag',
            ]);
         

         /*  if (SlugHelper::getPrefix(Tag::class, 'tag')) {
                Route::get(SlugHelper::getPrefix(Tag::class, 'tag') . '/{slug}', [
                    'as'   => 'public.tag',
                    'uses' => 'PublicController@getTag',
                ]);
            }*/

            if (SlugHelper::getPrefix(careers::class)) {
                Route::get(SlugHelper::getPrefix(Careers::class) . '/{slug}', [
                    'uses' => 'PublicController@getPost',
                ]);
            }

            if (SlugHelper::getPrefix(Category::class)) {
                Route::get(SlugHelper::getPrefix(Category::class) . '/{slug}', [
                    'uses' => 'PublicController@getCategory',
                ]);
            }
        });
    }
});
