<?php

namespace Botble\Careers\Http\Controllers;

use Assets;

use Botble\Base\Events\BeforeEditContentEvent;
use Botble\Base\Events\CreatedContentEvent;
use Botble\Base\Events\DeletedContentEvent;
use Botble\Base\Events\UpdatedContentEvent;
use Botble\Base\Forms\FormAbstract;
use Botble\Base\Forms\FormBuilder;
use Botble\Base\Http\Controllers\BaseController;
use Botble\Base\Http\Responses\BaseHttpResponse;
use Botble\Careers\Forms\newcontactform;
use Botble\Careers\Models\NewContacts;
use Botble\Careers\Http\Requests\CategoryRequest;
use Botble\Careers\Repositories\Interfaces\CategoryInterface;
use Exception;
use Illuminate\Contracts\View\Factory;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\View\View;
use Throwable;

class NewContactController extends BaseController
{
    public function save(){
        return view('themes.partials.newcontactform');
    }

    public function store(Request $request){
    
        $request->validate([
            'contact_name' => 'required',
            'contact_email' => 'required|email',
            'contact_phone' => 'required|numeric|digits:10',
            'contact_content' => 'required',         
        ]);

        $contacts = new NewContacts;
        $contacts->name = $request->contact_name;
        $contacts->email = $request->contact_email;
        $contacts->phone = $request->contact_phone;
        $contacts->message = $request->contact_content;


        if($contacts->save()){
            $response->setMessage(__('Send message successfully!'));
        }

        $response->setMessage(__('Something Went Wrong'));
    }
}