<?php

namespace Botble\Documents\Http\Requests;

use Botble\Base\Enums\BaseStatusEnum;
//use Botble\Documents\Supports\PostFormat;
use Botble\Documents\Supports\DocumentFormat;
use Botble\Support\Http\Requests\Request;
use Illuminate\Validation\Rule;

class DocumentRequest extends Request
{

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'name'        => 'required|max:255',
            //'description' => 'max:400',
            'categories'  => 'required',
            'status'      => Rule::in(BaseStatusEnum::values()),
        ];

        $documentFormats = DocumentFormat::getDocumentFormats(true);

        if (count($documentFormats) > 1) {
            $rules['format_type'] = Rule::in(array_keys($documentFormats));
        }

        return $rules;
    }
}
