<?php

namespace Botble\Careers\Http\Requests;

use Botble\Base\Enums\BaseStatusEnum;
use Botble\Careers\Supports\CareerFormat;
use Botble\Support\Http\Requests\Request;
use Illuminate\Validation\Rule;

class CareerRequest extends Request
{

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'name'        => 'required',
            // 'department'=>'required|max:255',
            // 'education'=>'required|max:255',
            // 'role'=>'required|max:255',
            // 'experience'=>'required|max:255',
            // 'location'=>'required|max:255',
            // 'requirements'=>'max:400',
            // 'responsibilities'=>'required|max:400',
            // 'description' => 'required|max:400',
            // 'employmenttype'=>'required',
            // 'skills'=>'required|max:400',
            // 'categories'  => 'required',
            'status'      => Rule::in(BaseStatusEnum::values()),
        ];

        $careerFormats = CareerFormat::getCareerFormats(true);

        if (count($careerFormats) > 1) {
            $rules['format_type'] = Rule::in(array_keys($careerFormats));
        }

        return $rules;
    }
}
