<?php

namespace Botble\Careers\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use RvMedia;

class CareerResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'          => $this->id,
            'name'        => $this->name,
            'slug'        => $this->slug,
            'description' => $this->description,
            'employmenttype'=>$this->employmenttype,
            'location'=>$this->location,
            'skills'=>$this->skills,
            'knowledge'=>$this->knowledge,
            'department' => $this->department,
            'education' => $this->education,
            'role' => $this->role,
            'experience' => $this->experience,
            'requirements'=> $this->requirements,
            'responsibilities'=>$this->responsibilities,
            'content'     => $this->content,
            'image'       => $this->image ? RvMedia::url($this->image) : null,
            'uploaddocument' => $this->uploaddocument ? RvMedia::url($this->uploaddocument) : null,         
            'categories'  => CategoryResource::collection($this->categories),
            'tags'        => TagResource::collection($this->tags),
            'created_at'  => $this->created_at,
            'updated_at'  => $this->updated_at,
           // 'archivemonth' => Post::archivemonthlist()->paginate(5)
        ];
    }
}
