<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap"
    rel="stylesheet">

    <ul class="navbar-nav" {!! $options !!}>     
    @foreach ($menu_nodes->loadMissing('metadata') as $key => $row)
        <li class="nav-item @if ($row->has_child) dropdown @endif @if ($row->css_class) {{ $row->css_class }} @endif @if ($row->active) active @endif">
            @php
                // Check if the menu has child menu then create URL for child menu
                $firstChildUrl = null;
                if ($row->has_child && $row->child->count() > 0) {
                    $firstChildUrl = url($row->child->first()->url);
                }
            @endphp

            <a class="nav-link @if ($row->has_child) dropdown-toggle @endif" 
               href="{{ $firstChildUrl ?? url($row->url) }}" 
               @if ($row->has_child) role="button" data-bs-toggle="dropdown" data-bs-auto-close="outside" aria-expanded="false" @endif
               @if ($row->target !== '_self') target="{{ $row->target }}" @endif>

                @if ($iconImage = $row->getMetadata('icon_image', true))
                    <img src="{{ RvMedia::getImageUrl($iconImage) }}" alt="icon image" class="menu-icon-image" />
                @elseif ($row->icon_font)
                    <i class="{{ trim($row->icon_font) }}"></i>
                @endif

                <span>{{ $row->title }}</span>
            </a>

            @if ($row->has_child)
                <ul class="dropdown-menu">
                    @foreach ($row->child as $child)
                        <li>
                            <a class="dropdown-item" href="{{ url($child->url) }}"
                               @if ($child->target !== '_self') target="{{ $child->target }}" @endif>
                                @if ($childIconImage = $child->getMetadata('icon_image', true))
                                    <img src="{{ RvMedia::getImageUrl($childIconImage) }}" alt="icon image" class="menu-icon-image" />
                                @elseif ($child->icon_font)
                                    <i class="{{ trim($child->icon_font) }}"></i>
                                @endif
                                <span>{{ $child->title }}</span>
                            </a>
                        </li>
                    @endforeach
                </ul>
            @endif
        </li>
    @endforeach
</ul>


