<!doctype html>
<html <?php echo Theme::htmlAttributes(); ?>>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=5, user-scalable=1" name="viewport"/>

    <?php echo BaseHelper::googleFonts('https://fonts.googleapis.com/css2?family=' . urlencode(theme_option('primary_font', 'Roboto Condensed')) . ':wght@300;400;700&display=swap'); ?>


    <style>
        :root {
            --color-1st: <?php echo e(theme_option('primary_color', '#aa0909')); ?>;
            --primary-color: <?php echo e(theme_option('primary_color', '#aa0909')); ?>;
            --primary-font: '<?php echo e(theme_option('primary_font', 'Roboto Condensed')); ?>', sans-serif;
        }
    </style>

    <?php echo Theme::header(); ?>

</head>
<body <?php echo Theme::bodyAttributes(); ?>>
<?php echo apply_filters(THEME_FRONT_BODY, null); ?>

<header class="header">
    <section class="header-menu-top">
        <section class="container">
            <section class="header-menu-top-left fleft">
                <?php echo Menu::renderMenuLocation('header-menu', [
                        'options' => ['id' => 'menu-header-top-menu', 'class' => 'menu'],
                        'theme'   => true,
                        'view'    => 'menu',
                    ]); ?>

            </section><!-- end .header-menu-top-left -->
            <section class="header-menu-top-right header-social fright">
                <div class="language-wrapper">
                    <?php echo apply_filters('language_switcher'); ?>

                </div>
            </section><!-- end .header-menu-top-right -->
            <section class="cboth"></section><!-- end .cboth -->
        </section><!-- end .container -->
    </section><!-- end .header-menu-top -->
    <section class="header-top">
        <section class="container">
            <h1 class="logo fleft">
                <a href="<?php echo e(route('public.single')); ?>" title="<?php echo e(theme_option('site_title')); ?>">
                    <?php if(!theme_option('logo')): ?>
                        <span>Lara</span>Mag
                    <?php else: ?>
                        <img src="<?php echo e(RvMedia::getImageUrl(theme_option('logo'))); ?>" alt="<?php echo e(theme_option('site_title')); ?>" title="<?php echo e(theme_option('site_title')); ?>"/>
                    <?php endif; ?>
                </a>
            </h1><!-- end .logo -->
            <?php if(is_plugin_active('ads')): ?>
                <section class="header-banner" style="height: 90px; overflow: hidden">
                    <?php echo AdsManager::display('header'); ?>

                </section><!-- end .header-banner -->
            <?php endif; ?>
        </section><!-- end .container -->
    </section><!-- end .header-right-top -->
    <section class="header-bottom">
        <section class="container">
            <a class="icon-home fleft icon-home-active icon-home-active" href="<?php echo e(route('public.single')); ?>" title="Homepage"></a>
            <section class="collap-main-nav fleft">
                <img src="<?php echo e(Theme::asset()->url('images/icon/collapse.png')); ?>" alt="collapse"/>
            </section>
            <section class="main-nav fleft">
                <section class="main-nav-inner tf">
                    <section class="close-nav">
                        <i class="fa fa-times" aria-hidden="true"></i> <?php echo e(__('Close menu')); ?>

                    </section><!-- end .close nav -->
                    <?php echo Menu::renderMenuLocation('main-menu', [
                            'options' => ['id' => 'menu-header-main-menu', 'class' => 'menu'],
                            'theme'   => true,
                            'view'    => 'menu',
                        ]); ?>

                </section><!-- end .main-nav-inner -->
            </section><!-- end .main-nav -->
            <a href="#" class="search-btn" title="search" <?php if(!Menu::isLocationHasMenu('second-menu')): ?> style="margin-right: 0;" <?php endif; ?>><i class="fa fa-search"></i></a>
            <?php if(Menu::isLocationHasMenu('second-menu')): ?>
                <section class="collap-nav-second bsize">
                    ...
                    <?php echo Menu::renderMenuLocation('second-menu', [
                            'options' => ['id' => 'menu-header-second-menu', 'class' => 'menu'],
                            'theme' => true,
                        ]); ?>

                </section><!-- end .collap-nav-second -->
            <?php endif; ?>
            <section class="cboth"></section><!-- end .cboth -->
        </section><!-- end .container -->
    </section><!-- end .header-bottom -->
</header><!-- end .header -->

<?php if(is_plugin_active('blog')): ?>
    <div class="super-search hide">
        <form class="quick-search" action="<?php echo e(route('public.search')); ?>">
            <input type="text" name="q" placeholder="<?php echo e(__('Type to search...')); ?>" class="form-control search-input" autocomplete="off">
            <span class="search-btn" title="search">&times;</span>
        </form>
        <div class="search-result"></div>
    </div>
<?php endif; ?>
<?php /**PATH /home2/demoimageonline/public_html/odexglobal/platform/themes/lara-mag/partials/header.blade.php ENDPATH**/ ?>